package com.bocloud.sms.interfaces;


import com.bocloud.sms.entity.Dictionary;
import com.bocloud.sms.model.DictionaryBean;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Result;

import java.util.List;
import java.util.Map;

/**
 * 环境信息服务接口
 *
 * @author dmw
 */
public interface DictService {

    /**
     * 保存
     *
     * @param dictionary
     * @return
     */
    GeneralResult<Dictionary> create(Dictionary dictionary);

    /**
     * 删除
     *
     * @param id
     * @return
     */
    Result remove(Long id);

    /**
     * 修改
     *
     * @param bean
     * @return
     */
    GeneralResult<Dictionary> modify(DictionaryBean bean);

    /**
     * 字典树
     *
     * @param pid
     * @return
     */
    GeneralResult<List<Dictionary>> list(Long pid);

    /**
     * 根据值获取子节点数据
     *
     * @param id
     * @return
     */
    GeneralResult<List<Dictionary>> listChild(String value, Long id);

    /**
     * 查询字典树
     *
     * @param pid
     * @return
     */
    GeneralResult<List<Dictionary>> childTree(String pid);

    /**
     * 查询所有osName
     *
     * @return
     */
    List<String> getAllOsName();

    /**
     * 获取全部数据中心及下级信息
     *
     * @return 数据中心及下级信息
     */
    Map<String, String> getAllDataCenter();

    /**
     * 通过id查询字典
     *
     * @param id id
     * @return {@link GeneralResult}<{@link Dictionary}>
     */
    GeneralResult<Dictionary> detail(Long id);
}
