package com.bocloud.sms.service.utils;

import com.alibaba.excel.util.StringUtils;
import org.apache.commons.lang.time.DateFormatUtils;
import org.quartz.CronExpression;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author wangpj
 */
public class OrderExceptionQuartz {
    /**
     * 校验在当前时间是否满足cron时间规则表达式
     *
     * @param cron
     * @param format
     * @return
     * @throws ParseException
     */
    public static Boolean filterWithCronTime(String cron, Date format) throws ParseException {
        if (StringUtils.isBlank(cron)) {
            return false;
        }
        CronExpression exp = new CronExpression(cron);
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm");
        String parse = simpleDateFormat.format(format);
        Date date = simpleDateFormat.parse(parse);
        return exp.isSatisfiedBy(date);
    }

}
