package com.bocloud.sms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 组件配置元素
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月27日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("portal_element_config")
public class PortalElementConfig extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 组件id
     */
    @Column("pool_id")
    private Boolean poolId;
    /**
     * 名称
     */
    @Column("name")
    private String name;
    /**
     * 属性类型
     */
    @Column("type")
    private String type;
    /**
     * 排序码
     */
    @Column("order_num")
    private int orderNum;
    /**
     * 默认值
     */
    @Column("default_value")
    private String defaultValue;
    /**
     * 配置项
     */
    @Column("config")
    private String config;
    /**
     * 编码
     */
    @Column("code")
    private String code;

    /**
     * 所调用的接口是否需要传递参数
     */
    @Column("is_paramsd")
    private Boolean paramsd;

    public PortalElementConfig(Boolean poolId, String name, String type, int orderNum, String defaultValue,
                               String config, String code, Boolean paramsd) {
        super();
        this.poolId = poolId;
        this.name = name;
        this.type = type;
        this.orderNum = orderNum;
        this.defaultValue = defaultValue;
        this.config = config;
        this.code = code;
        this.paramsd = paramsd;
    }
}
