package com.bocloud.sms.repository;

import com.bocloud.sms.entity.PortalElementConfig;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author lyy
 */
@Service
public class PortalElementConfigRepository extends BasicGenericDao<PortalElementConfig, Long> {

    public PortalElementConfigRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<PortalElementConfig> list(Long poolId) {
        String sql = "select * from portal_element_config where pool_id = :poolId";
        Map<String, Object> params = MapTools.simpleMap("poolId", poolId);
        return this.list(PortalElementConfig.class, sql, params);
    }

}
